Bug 7279 - remove rdesktop (and associated tools)
Summary: remove rdesktop (and associated tools)
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: | rdesktop (deprecated) (show other bugs)
Version: 1.3.1
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.10.0
Assignee: Pierre Ossman
URL:
Keywords: relnotes, samuel_tester
Depends on:
Blocks:
 
Reported: 2018-11-19 11:59 CET by Pierre Ossman
Modified: 2019-09-02 14:24 CEST (History)
2 users (show)

See Also:
Acceptance Criteria:
• There should be nothing left of rdesktop in the product or source tree • There should be nothing left of the rdesktop support programs and libraries in the product or the source tree • The rdesktop package should be removed when upgrading ThinLinc • The installer should show rdesktop being removed • All rdesktop bugzilla entries should be marked as WONTFIX • The rdesktop bugzilla component should be marked as deprecated • STRETCH: support programs should be made generic and included with upstream rdesktop where appropriate • There should be nothing left of tl-run-unixapp and supporting programs and libraries in the product or the source tree


Attachments

Description Pierre Ossman cendio 2018-11-19 11:59:36 CET
We are focusing on Linux desktops and want to remove the burden of maintaining infrastructure for Windows desktops. As such we are removing rdesktop and all associated tools and libraries from ThinLinc.

As part of this we are also removing tl-run-unixapp as it is also not part of our focus, and doing so allows us to completely remove the "application server group" concept.
Comment 1 Pierre Ossman cendio 2018-11-19 12:01:47 CET
We do not have a list of all the components that can be removed as part of this, so part of the work is figuring that out.
Comment 11 Pierre Ossman cendio 2019-02-07 15:45:25 CET
rdesktop (and associated tools) is being removed from the ThinLinc product.
Comment 12 Pierre Ossman cendio 2019-02-07 16:26:23 CET
Ignore the above comment. It was accidentally done as part of closing all rdesktop things in the bugzilla.
Comment 18 Pierre Ossman cendio 2019-02-11 09:37:32 CET
Debian doesn't seem to have a direct equivalent of RPMs "Obsoletes". Will need to experiment a bit to find something that works.
Comment 19 Pierre Ossman cendio 2019-02-12 09:31:29 CET
So the equivalent of RPM's obsoletes is using _both_ Replaces: and Conflicts:

https://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

Using just Replaces only indicates a partial replacement of a package.


Unfortunately this only almost works as there seems to be a bug in dpkg. It realises that the new tlmisc obsoletes rdesktop and wants to remove rdesktop. However when doing so it sees that the old tlmisc package depends on rdesktop and bails. For some reason it fails to notice that the new tlmisc no longer has that dependency. It does pay attention to new Provides: though, so adding a "Provides: thinlinc-rdesktop" in the new tlmisc package gets everything working.

(It is also possible to force your way through the issue using --force-depends or --ignore-depends.)
Comment 20 Pierre Ossman cendio 2019-02-12 09:32:22 CET
We're also lacking handling of obsolete mechanisms in the installer, so there is no information about packages being removed there. We should probably fix that as well.
Comment 27 Pierre Ossman cendio 2019-02-13 14:14:11 CET
> • There should be nothing left of rdesktop in the product or source tree
>     • There should be nothing left of the rdesktop support programs and libraries in the product or the source tree

Not as far as I can find. I've done various searches for Windows and RDP related words.

>     • The rdesktop package should be removed when upgrading ThinLinc

Works. Tested on Fedora 28, RHEL 7, Ubuntu 16.04 and 18.04.

>     • The installer should show rdesktop being removed

It does indeed. Tested on both RPM and deb systems.

>     • All rdesktop bugzilla entries should be marked as WONTFIX

Fixed.

>     • The rdesktop bugzilla component should be marked as deprecated

Fixed.

>     • STRETCH: support programs should be made generic and included with upstream rdesktop where appropriate

I looked through the programs and could not really find anything worthwhile to upstream. They were either very tiny additions, or something tied to running it in ThinLinc.

>     • There should be nothing left of tl-run-unixapp and supporting programs and libraries in the product or the source tree

Fixed.
Comment 28 Samuel Mannehed cendio 2019-02-25 17:24:52 CET
> There should be nothing left of rdesktop in the product or source tree

Looks good, all gone.

> There should be nothing left of the rdesktop support programs and libraries in the product or the source tree

Can't find anything remaining.

> The rdesktop package should be removed when upgrading ThinLinc

Works well. Verified on Ubuntu 16.04 and Fedora 29.

> The installer should show rdesktop being removed

The installer shows a separate section for packages that are being removed. Good enough.

> All rdesktop bugzilla entries should be marked as WONTFIX

Looks good.

> The rdesktop bugzilla component should be marked as deprecated

Yep.

> STRETCH: support programs should be made generic and included with upstream rdesktop where appropriate

No, but see comment #27

> There should be nothing left of tl-run-unixapp and supporting programs and libraries in the product or the source tree

Looks good, all gone.

Note You need to log in before you can comment on or make changes to this bug.